Get Demo Storefront
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/demo \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/demo"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/demo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"demo": {
"mode": "DEMO",
"storefrontId": "<string>",
"customerId": 0,
"profileId": "sample-publisher-display",
"profileVersion": "<string>",
"profileDisplayName": "<string>",
"fixturePackId": "<string>",
"fixturePackVersion": "<string>",
"generation": 4503599627370496,
"expiresAt": "2023-11-07T05:31:56Z",
"lastResetAt": "2023-11-07T05:31:56Z",
"cleanupAttemptCount": 4503599627370495,
"cleanupError": "<string>",
"disclosure": "<string>",
"sourceId": "<string>",
"sources": [
{
"recipeVersion": "<string>",
"sourceId": "<string>",
"displayName": "<string>",
"synthetic": true
}
],
"synthetic": true
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
Get Demo Storefront
Get the customer-owned Demo Storefront lease and synthetic profile status, or demo=null when none exists.
GET
/
demo
Get Demo Storefront
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/demo \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/demo"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/demo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"demo": {
"mode": "DEMO",
"storefrontId": "<string>",
"customerId": 0,
"profileId": "sample-publisher-display",
"profileVersion": "<string>",
"profileDisplayName": "<string>",
"fixturePackId": "<string>",
"fixturePackVersion": "<string>",
"generation": 4503599627370496,
"expiresAt": "2023-11-07T05:31:56Z",
"lastResetAt": "2023-11-07T05:31:56Z",
"cleanupAttemptCount": 4503599627370495,
"cleanupError": "<string>",
"disclosure": "<string>",
"sourceId": "<string>",
"sources": [
{
"recipeVersion": "<string>",
"sourceId": "<string>",
"displayName": "<string>",
"synthetic": true
}
],
"synthetic": true
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}⌘I